0 Replies Latest reply: Dec 26, 2011 6:02 PM by HawaiianHippie
HawaiianHippie Level 1 Level 1 (0 points)

I have a PowerPC G5, dual 2 GHz processors.  I recently nuked it and reinstalled OS 10.5.8 as the first step in repurposing the machine.  I then ran the Software Update until there were no more updates available.  Now, I can't launch iTunes.

 

QWhen I try, it tells me "iTunes requires QuickTime 7.5.5 or later."  My version is 7.3.

 

I go to the dowload page for QuickTime, and it tells me "QuickTime is built into Mac OS X.  Use Software Update to keep QuickTime up to date on your Mac."

 

So I'm caught.  I can't upgrade QT manually, but it won't upgrade via the Software Update.

 

Suggestions?

 

Mahalo,

Tom G


Various and sundry, Mac OS X (10.5.5), Run a lab, got a lot.